<?php
/*======
*
* Create Social Media Links for User Profiles
*
======*/
function bianco_user_social_links_create( $user_profile_create_fields ) {
	$user_social_sites = array(
		'facebook' => 'bianco_user_facebook_url',
		'twitter' => 'bianco_user_twitter_url',
		'google-plus' => 'bianco_user_googleplus_url',
		'pinterest' => 'bianco_user_pinterest_url',
		'linkedin' => 'bianco_user_linkedin_url',
		'youtube' => 'bianco_user_youtube_url',
		'vimeo' => 'bianco_user_vimeo_url',
		'tumblr' => 'bianco_user_tumblr_url',
		'instagram' => 'bianco_user_instagram_url',
		'flickr' => 'bianco_user_flickr_url',
		'dribbble' => 'bianco_user_dribbble_url',
		'reddit' => 'bianco_user_reddit_url',
		'soundcloud' => 'bianco_user_soundcloud_url',
		'spotify' => 'bianco_user_spotify_url',
		'yahoo' => 'bianco_user_yahoo_url',
		'behance' => 'bianco_user_behance_url',
		'codepen' => 'bianco_user_codepen_url',
		'delicious' => 'bianco_user_delicious_url',
		'stumbleupon' => 'bianco_user_stumbleupon_url',
		'deviantart' => 'bianco_user_deviantart_url',
		'digg' => 'bianco_user_digg_url',
		'github' => 'bianco_user_github_url',
		'medium' => 'bianco_user_medium_url',
		'steam' => 'bianco_user_steam_url',
		'vk' => 'bianco_user_vk_url',
		'500px' => 'bianco_user_500px_url',
		'foursquare' => 'bianco_user_foursquare_url',
		'slack' => 'bianco_user_slack_url',
		'whatsapp' => 'bianco_user_whatsapp_url',
		'skype' => 'bianco_user_skype_url',
		'twitch' => 'bianco_user_twitch_url',
		'paypal' => 'bianco_user_paypal_url',
		'custom-url' => 'bianco_user_custom_url',
	);

	foreach ( $user_social_sites as $user_social_site => $value ) {

		$label = ucfirst( $user_social_site );
		if ( $user_social_site == 'twitter' ) {
			$label = esc_html__( 'Twitter', 'bianco' );
		} elseif ( $user_social_site == 'facebook' ) {
			$label = esc_html__( 'Facebook', 'bianco' );
		} elseif ( $user_social_site == 'google-plus' ) {
			$label = esc_html__( 'Google Plus', 'bianco' );
		} elseif ( $user_social_site == 'pinterest' ) {
			$label = esc_html__( 'Pinterest', 'bianco' );
		} elseif ( $user_social_site == 'youtube' ) {
			$label = esc_html__( 'YouTube', 'bianco' );
		} elseif ( $user_social_site == 'vimeo' ) {
			$label = esc_html__( 'Vimeo', 'bianco' );
		} elseif ( $user_social_site == 'tumblr' ) {
			$label = esc_html__( 'Tumblr', 'bianco' );
		} elseif ( $user_social_site == 'instagram' ) {
			$label = esc_html__( 'Instagram', 'bianco' );
		} elseif ( $user_social_site == 'flickr' ) {
			$label = esc_html__( 'Flickr', 'bianco' );
		} elseif ( $user_social_site == 'dribbble' ) {
			$label = esc_html__( 'Dribbble', 'bianco' );
		} elseif ( $user_social_site == 'reddit' ) {
			$label = esc_html__( 'Reddit', 'bianco' );
		} elseif ( $user_social_site == 'soundcloud' ) {
			$label = esc_html__( 'SoundCloud', 'bianco' );
		} elseif ( $user_social_site == 'spotify' ) {
			$label = esc_html__( 'Spotify', 'bianco' );
		} elseif ( $user_social_site == 'yahoo' ) {
			$label = esc_html__( 'Yahoo', 'bianco' );
		} elseif ( $user_social_site == 'behance' ) {
			$label = esc_html__( 'Behance', 'bianco' );
		} elseif ( $user_social_site == 'delicious' ) {
			$label = esc_html__( 'Delicious', 'bianco' );
		} elseif ( $user_social_site == 'stumbleupon' ) {
			$label = esc_html__( 'Stumbleupon', 'bianco' );
		} elseif ( $user_social_site == 'deviantart' ) {
			$label = esc_html__( 'DeviantAr', 'bianco' );
		} elseif ( $user_social_site == 'digg' ) {
			$label = esc_html__( 'Digg', 'bianco' );
		} elseif ( $user_social_site == 'github' ) {
			$label = esc_html__( 'GitHub', 'bianco' );
		} elseif ( $user_social_site == 'medium' ) {
			$label = esc_html__( 'Medium', 'bianco' );
		} elseif ( $user_social_site == 'steam' ) {
			$label = esc_html__( 'Steam', 'bianco' );
		} elseif ( $user_social_site == 'vk' ) {
			$label = esc_html__( 'VK', 'bianco' );
		} elseif ( $user_social_site == '500px' ) {
			$label = esc_html__( '500px', 'bianco' );
		} elseif ( $user_social_site == 'foursquare' ) {
			$label = esc_html__( 'Foursquare', 'bianco' );
		} elseif ( $user_social_site == 'slack' ) {
			$label = esc_html__( 'Slack', 'bianco' );
		} elseif ( $user_social_site == 'whatsapp' ) {
			$label = esc_html__( 'WhatsApp', 'bianco' );
		} elseif ( $user_social_site == 'twitch' ) {
			$label = esc_html__( 'Twitch', 'bianco' );
		} elseif ( $user_social_site == 'paypal' ) {
			$label = esc_html__( 'PayPal', 'bianco' );
		} elseif ( $user_social_site == 'codepen' ) {
			$label = esc_html__( 'CodePen', 'bianco' );
		} elseif ( $user_social_site == 'custom-url' ) {
			$label = esc_html__( 'Custom URL', 'bianco' );
		}

		$user_profile_fields[$user_social_site] = $label;
	}

	return $user_profile_fields;
}
add_filter( 'user_contactmethods', 'bianco_user_social_links_create', 10, 1 );