<?php
/*
	* The template used for displaying single content
*/
?>

<div class="gt-page-content">
	<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
		<div class="gt-single-content">
			<?php
				if ( function_exists( 'rwmb_meta' ) ) {
					$featured_header_type = rwmb_meta( 'featured-header-type' );
					$gallery_images = rwmb_meta( 'slider-gallery-header-images' );
					if( $featured_header_type == "style-5" ) {
						if( !empty( $gallery_images ) ) {
			?>
							<div class="gt-slider--swiper">
								<div class="swiper-container gt-swiper-slider" data-gt-speed="1000" data-gt-parallax="true" data-gt-direction="horizontal" data-gt-item="1" data-gt-item-space="0">
									<div class="swiper-wrapper">
										<?php
											foreach ( $gallery_images as $image ) {
												if( !empty( $image ) ) {
													$image_id = $image["ID"];
													$image_url = wp_get_attachment_image_src( esc_attr( $image_id ), 'bianco-post-4' );
													echo '<div class="swiper-slide">';
														echo '<div class="swiper-slide--image" data-swiper-parallax-x="400" style="background-image: url(' . esc_url( $image_url[0] ) . ')"></div>';
													echo '</div>';
												}
											}
										?>
									</div>
									<div class="gt-slider-controls">
										<div class="container">
											<div class="gt-slider-button gt-slider-prev">
												<span class="text"><?php echo esc_html__( 'Prev', 'bianco' ); ?></span>
												<span class="line"></span>
											</div>
											<div class="swiper-pagination"></div>
											<div class="gt-slider-button gt-slider-next">
												<span class="line"></span>
												<span class="text"><?php echo esc_html__( 'Next', 'bianco' ); ?></span>
											</div>
										</div>
									</div>
								</div>
							</div>
			<?php
						}
					}
				}
			?>

			<?php the_content(); ?>
		</div>
	</div>
</div>