<?php
/*
	* The template for displaying archive
*/
get_header(); ?>
	<?php echo bianco_page_banner( $title = "", $top_text = "", $custom_background = "", $style = "style-1", $post_id = "" ); ?>

	<section class="gt-section-spacing">
		<?php bianco_container_before( $extra_class = "main-container" ); ?>
			<?php bianco_row_before( $extra_class = "main-row" ); ?>
				<?php bianco_content_before(); ?>
					<?php
						if ( have_posts() ) {
							bianco_post_listing();
							bianco_pagination();		
						} else {
							get_template_part( 'include/formats/content', 'none' );
						}
					?>
				<?php bianco_content_after(); ?>
				<?php get_sidebar(); ?>
			<?php bianco_row_after(); ?>
		<?php bianco_container_after(); ?>
	</section>

<?php get_footer();