<?php
/**
	* The template for displaying woocommerce single
*/
get_header(); ?>

	<?php echo bianco_page_banner( $title = "", $top_text = "", $custom_background = "", $style = "style-1", $post_id = get_the_ID() ); ?>

	<section class="gt-section-spacing">
		<?php bianco_container_before( $extra_class = "main-container" ); ?>
			<?php bianco_row_before( $extra_class = "main-row justify-content-center" ); ?>
				<?php bianco_content_before(); ?>
					<?php get_template_part( 'include/formats/content-woo' ); ?>
				<?php bianco_content_after(); ?>
				<?php
					if ( is_active_sidebar( 'bianco-shop-sidebar' ) )  {
						bianco_sidebar_before();
							dynamic_sidebar( 'bianco-shop-sidebar' );
						bianco_sidebar_after();
					}
				?>
			<?php bianco_row_after(); ?>
		<?php bianco_container_after(); ?>
	</section>

<?php get_footer();