<?php
/*
	* The template for displaying 404 page
*/
get_header(); ?>

	<?php echo bianco_page_banner( $title = get_the_title(), $top_text = "", $custom_background = "", $style = "style-1", $post_id = get_the_ID() ); ?>

		<section class="gt-section-spacing">
			<?php bianco_container_before( $extra_class = "main-container" ); ?>
				<div class="text-center gt-404-page">
					<h2><?php echo esc_html__( 'Page Not Found', 'bianco' ); ?></h2>
					<p><?php echo esc_html__( 'The page you requested couldn not be found - this could be due to a spelling error in the URL or a removed page.', 'bianco' ); ?></p>
					<a href="<?php echo esc_url( home_url( '/' ) ); ?>" class="gt-button" title="<?php echo esc_html__( 'Go back to homepage', 'bianco' ); ?>"><?php echo esc_html__( 'Go back to homepage', 'bianco' ); ?></a>
				</div>
			<?php bianco_container_after(); ?>
		</section>

<?php get_footer();