<?php
/**
	* The template for displaying attachment
*/
get_header(); ?>

	<?php while ( have_posts() ) : the_post(); ?>
		<?php echo bianco_page_banner( $title = get_the_title(), $top_text = "", $custom_background = "", $style = "style-1", $post_id = get_the_ID() ); ?>

		<section class="gt-section-spacing">
			<?php bianco_container_before( $extra_class = "main-container" ); ?>
				<?php bianco_row_before( $extra_class = "main-row justify-content-center" ); ?>
					<?php bianco_content_before(); ?>

						<?php get_template_part( 'include/formats/content-attachment' ); ?>

						<?php
							$attachments_comment = get_theme_mod( 'bianco_attachments_comment' );
							if ( $attachments_comment == '1' ) {
								if ( comments_open() || get_comments_number() ) {
									comments_template();
								}
							}
						?>
					<?php bianco_content_after(); ?>
					<?php get_sidebar(); ?>
				<?php bianco_row_after(); ?>
			<?php bianco_container_after(); ?>
		</section>
	<?php endwhile; ?>

<?php get_footer();