<?php
/**
	* The template for displaying single
*/
get_header(); ?>

	<?php while ( have_posts() ) : the_post(); ?>
		<?php
			if ( function_exists( 'rwmb_meta' ) ) {
				$featured_header_background = rwmb_meta( 'featured-header-background' );
				$hide_featured_header = rwmb_meta( 'hide-featured-header' );
				$page_top_title = rwmb_meta( 'page-top-title' );

				if( !$hide_featured_header == "1" ) {
					echo bianco_page_banner( $title = get_the_title(), $top_text = $page_top_title, $custom_background = $featured_header_background, $style = "style-1", $post_id = get_the_ID() );
				}
			} else {
				echo bianco_page_banner( $title = get_the_title(), $top_text = "", $custom_background = "", $style = "style-1", $post_id = get_the_ID() );
			}

			bianco_post_slider();
		?>

		<section class="gt-section-spacing">
			<?php bianco_container_before( $extra_class = "main-container" ); ?>
				<?php bianco_row_before( $extra_class = "main-row justify-content-center" ); ?>
					<?php bianco_content_before(); ?>

						<?php get_template_part( 'include/formats/content-page' ); ?>

						<?php echo bianco_blog_in_page(); ?>

						<?php
							$page_comments = get_theme_mod( 'bianco_pages_comments', '1' );
							if ( $page_comments == '1' ) {
								if ( comments_open() || get_comments_number() ) {
									comments_template();
								}
							}
						?>
					<?php bianco_content_after(); ?>
					<?php get_sidebar(); ?>
				<?php bianco_row_after(); ?>
			<?php bianco_container_after(); ?>
		</section>
	<?php endwhile; ?>

<?php get_footer();