<?php
if ( is_attachment() ) {

	$attachment_sidebar = get_theme_mod( 'bianco_archives_attachments_sidebar', 'bianco-sidebar' );

	if ( !empty( $attachment_sidebar ) ) {
		if ( is_active_sidebar( $attachment_sidebar ) ) {
			bianco_sidebar_before();
				dynamic_sidebar( $attachment_sidebar ); 
			bianco_sidebar_after();
		} else {
			if ( is_active_sidebar( 'bianco-sidebar' ) ) {
				bianco_sidebar_before();
					dynamic_sidebar( 'bianco-sidebar' );
				bianco_sidebar_after();
			}
		}
	} else {
		if ( is_active_sidebar( 'bianco-sidebar' ) ) {
			bianco_sidebar_before();
				dynamic_sidebar( 'bianco-sidebar' );
			bianco_sidebar_after(); 			
		}
	}

} elseif ( get_post_type( get_the_ID() ) == 'portfolio' or is_post_type_archive( 'portfolio' ) ) {
	
	$portfolio_sidebar = get_theme_mod( 'bianco_portfolio_sidebar', 'bianco-sidebar' );

	if( get_post_type( get_the_ID() ) == 'game' ) {
		$single_sidebar = get_post_meta( get_the_ID(), 'sidebar', true );
	}

	if( !empty( $single_sidebar ) ) {
		if ( is_active_sidebar( $single_sidebar ) ) {
			bianco_sidebar_before();
				dynamic_sidebar( $single_sidebar ); 
			bianco_sidebar_after();
		} else {
			if ( is_active_sidebar( 'bianco-sidebar' ) ) {
				bianco_sidebar_before();
					dynamic_sidebar( 'bianco-sidebar' );
				bianco_sidebar_after();
			}
		}
	} elseif ( !empty( $portfolio_sidebar) ) {
		if ( is_active_sidebar( $portfolio_sidebar ) ) {
			bianco_sidebar_before();
				dynamic_sidebar( $portfolio_sidebar ); 
			bianco_sidebar_after();
		} else {
			if ( is_active_sidebar( 'bianco-sidebar' ) ) {
				bianco_sidebar_before();
					dynamic_sidebar( 'bianco-sidebar' );
				bianco_sidebar_after();
			}
		}
	} else {
		if ( is_active_sidebar( 'bianco-sidebar' ) ) {
			bianco_sidebar_before();
				dynamic_sidebar( 'bianco-sidebar' );
			bianco_sidebar_after(); 			
		}
	}
		
} elseif( is_single() ) {
	$post_sidebar = get_theme_mod( 'bianco_posts_sidebar', 'bianco-sidebar' );
	$single_sidebar = get_post_meta( get_the_ID(), 'sidebar', true );
	
	if( !empty( $single_sidebar ) ) {
		if ( is_active_sidebar( $single_sidebar ) ) {
			bianco_sidebar_before();
				dynamic_sidebar( $single_sidebar ); 
			bianco_sidebar_after();
		} else {
			if ( is_active_sidebar( 'bianco-sidebar' ) ) {
				bianco_sidebar_before();
					dynamic_sidebar( 'bianco-sidebar' );
				bianco_sidebar_after();
			}
		}
	} elseif ( !empty( $post_sidebar) ) {
		if ( is_active_sidebar( $post_sidebar ) ) {
			bianco_sidebar_before();
				dynamic_sidebar( $post_sidebar ); 
			bianco_sidebar_after();
		} else {
			if ( is_active_sidebar( 'bianco-sidebar' ) ) {
				bianco_sidebar_before();
					dynamic_sidebar( 'bianco-sidebar' );
				bianco_sidebar_after();
			}
		}
	} else {
		if ( is_active_sidebar( 'bianco-sidebar' ) ) {
			bianco_sidebar_before();
				dynamic_sidebar( 'bianco-sidebar' );
			bianco_sidebar_after(); 			
		}
	}
	
}  elseif( is_page() ) {

	$page_sidebar = get_theme_mod( 'bianco_pages_sidebar', 'bianco-sidebar' );
	$single_sidebar = get_post_meta( get_the_ID(), 'sidebar', true );
	
	if( !empty( $single_sidebar ) ) {
		if ( is_active_sidebar( $single_sidebar ) ) {
			bianco_sidebar_before();
				dynamic_sidebar( $single_sidebar ); 
			bianco_sidebar_after();
		} else {
			if ( is_active_sidebar( 'bianco-sidebar' ) ) {
				bianco_sidebar_before();
					dynamic_sidebar( 'bianco-sidebar' );
				bianco_sidebar_after();
			}
		}
	} elseif ( !empty( $page_sidebar) ) {
		if ( is_active_sidebar( $page_sidebar ) ) {
			bianco_sidebar_before();
				dynamic_sidebar( $page_sidebar ); 
			bianco_sidebar_after();
		} else {
			if ( is_active_sidebar( 'bianco-sidebar' ) ) {
				bianco_sidebar_before();
					dynamic_sidebar( 'bianco-sidebar' );
				bianco_sidebar_after();
			}
		}
	} else {
		if ( is_active_sidebar( 'bianco-sidebar' ) ) {
			bianco_sidebar_before();
				dynamic_sidebar( 'bianco-sidebar' );
			bianco_sidebar_after(); 			
		}
	}

} elseif ( is_category() ) {
	
	$category_sidebar = get_theme_mod( 'bianco_archives_categories_sidebar', 'bianco-sidebar' ); 

	if( !empty( $category_sidebar ) ) {
		if ( is_active_sidebar( $category_sidebar ) ) {
			bianco_sidebar_before();
				dynamic_sidebar( $category_sidebar ); 
			bianco_sidebar_after();
		} else {
			if ( is_active_sidebar( 'bianco-sidebar' ) ) {
				bianco_sidebar_before();
					dynamic_sidebar( 'bianco-sidebar' );
				bianco_sidebar_after();
			}
		}
	} else {
		if ( is_active_sidebar( 'bianco-sidebar' ) ) {
			bianco_sidebar_before();
				dynamic_sidebar( 'bianco-sidebar' );
			bianco_sidebar_after(); 			
		}
	}
	
} elseif ( is_tag() ) {

	$tag_sidebar = get_theme_mod( 'bianco_archives_tags_sidebar', 'bianco-sidebar' );

	if ( !empty( $tag_sidebar ) ) {
		if ( is_active_sidebar( $tag_sidebar ) ) {
			bianco_sidebar_before();
				dynamic_sidebar( $tag_sidebar ); 
			bianco_sidebar_after();
		} else {
			if ( is_active_sidebar( 'bianco-sidebar' ) ) {
				bianco_sidebar_before();
					dynamic_sidebar( 'bianco-sidebar' );
				bianco_sidebar_after();
			}
		}
		
	} else {
		if ( is_active_sidebar( 'bianco-sidebar' ) ) {
			bianco_sidebar_before();
				dynamic_sidebar( 'bianco-sidebar' );
			bianco_sidebar_after(); 			
		}
	}
	
} elseif ( is_author() ) {

	$author_sidebar = get_theme_mod( 'bianco_archives_authors_sidebar', 'bianco-sidebar' );

	if ( !empty( $author_sidebar ) ) {
		if ( is_active_sidebar( $author_sidebar ) ) {
			bianco_sidebar_before();
				dynamic_sidebar( $author_sidebar ); 
			bianco_sidebar_after();
		} else {
			if ( is_active_sidebar( 'bianco-sidebar' ) ) {
				bianco_sidebar_before();
					dynamic_sidebar( 'bianco-sidebar' );
				bianco_sidebar_after();
			}
		}
		
	} else {
		if ( is_active_sidebar( 'bianco-sidebar' ) ) {
			bianco_sidebar_before();
				dynamic_sidebar( 'bianco-sidebar' );
			bianco_sidebar_after(); 			
		}
	}
	
} elseif ( is_search() ) {

	$search_sidebar = get_theme_mod( 'bianco_archives_searches_sidebar', 'bianco-sidebar' );

	if ( !empty( $search_sidebar_select) ) {
		if ( is_active_sidebar( $search_sidebar_select ) ) {
			bianco_sidebar_before();
				dynamic_sidebar( $search_sidebar_select ); 
			bianco_sidebar_after();
		} else {
			if ( is_active_sidebar( 'bianco-sidebar' ) ) {
				bianco_sidebar_before();
					dynamic_sidebar( 'bianco-sidebar' );
				bianco_sidebar_after();
			}
		}
		
	} else {
		if ( is_active_sidebar( 'bianco-sidebar' ) ) {
			bianco_sidebar_before();
				dynamic_sidebar( 'bianco-sidebar' );
			bianco_sidebar_after(); 			
		}
	}
	
} elseif ( is_archive() ) {

	$archive_sidebar = get_theme_mod( 'bianco_archives_archives_sidebar', 'bianco-sidebar' );

	if ( !empty( $archive_sidebar ) ) {
		if ( is_active_sidebar( $archive_sidebar ) ) {
			bianco_sidebar_before();
				dynamic_sidebar( $archive_sidebar ); 
			bianco_sidebar_after();
		} else {
			if ( is_active_sidebar( 'bianco-sidebar' ) ) {
				bianco_sidebar_before();
					dynamic_sidebar( 'bianco-sidebar' );
				bianco_sidebar_after();
			}
		}

	} else {
		if ( is_active_sidebar( 'bianco-sidebar' ) ) {
			bianco_sidebar_before();
				dynamic_sidebar( 'bianco-sidebar' );
			bianco_sidebar_after();
		}
	}
	
} else {
	if ( is_active_sidebar( 'bianco-sidebar' ) ) {
		bianco_sidebar_before();
			dynamic_sidebar( 'bianco-sidebar' );
		bianco_sidebar_after();
	}
}
